Publications

List publications awaiting human approval

GET
/api/projects/{projectId}/publications/approval-requests

Authorization

sessionCookie
cookiebetter-auth.session_token<token>

The Better Auth email/password session cookie used by the web application.

Path Parameters

projectId*string
Length1 <= length

Response Body

Response for status 200

application/json
  1. response
requests*array<>
Example Request
curl -X GET 'https://postbot.example/api/projects/string/publications/approval-requests'
Example Response
{
  "requests": [
    {
      "id": "string",
      "projectId": "string",
      "publicationId": "string",
      "targetRevisionId": "string",
      "draftRevision": -9007199254740991,
      "proposedScheduledAt": -9007199254740991,
      "state": "pending",
      "requestedByActorId": "string",
      "decidedByActorId": "string",
      "decidedAt": -9007199254740991,
      "scheduledAt": -9007199254740991,
      "rejectionReason": "string",
      "createdAt": -9007199254740991,
      "updatedAt": -9007199254740991
    }
  ]
}

Was this page helpful?